## maemo-browser-mozilla-engine 0.2.5-1

=== nsprpub/pkg/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#! gmake

MOD_DEPTH	= ..
topsrcdir	= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir		= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg
VPATH		= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg

include $(MOD_DEPTH)/config/autoconf.mk

DIRS = 
ifeq ($(OS_TARGET),Linux)
DIRS = linux
endif
ifeq ($(OS_TARGET),SunOS)
DIRS = solaris
endif

publish::
	+$(LOOP_OVER_DIRS)

include $(topsrcdir)/config/rules.mk

=== build/wince/tools/Makefile ===


all:
	cl ppc2003arm/arm-wince-as.c
	mv arm-wince-as.exe ppc2003arm
	cl ppc2003arm/arm-wince-gcc.c
	mv arm-wince-gcc.exe ppc2003arm
	cl ppc2003arm/arm-wince-lib.c
	mv arm-wince-lib.exe ppc2003arm
	cl ppc2003arm/arm-wince-link.c
	mv arm-wince-link.exe ppc2003arm
	rm -f *.obj
	cl ppc2003em/arm-wince-as.c
	mv arm-wince-as.exe ppc2003em
	cl ppc2003em/arm-wince-gcc.c 
	mv arm-wince-gcc.exe ppc2003em
	cl ppc2003em/arm-wince-lib.c 
	mv arm-wince-lib.exe ppc2003em
	cl ppc2003em/arm-wince-link.c
	mv arm-wince-link.exe ppc2003em
	rm -f *.obj
	cl sp2003arm/arm-wince-as.c
	mv arm-wince-as.exe sp2003arm
	cl sp2003arm/arm-wince-gcc.c
	mv arm-wince-gcc.exe sp2003arm
	cl sp2003arm/arm-wince-lib.c
	mv arm-wince-lib.exe sp2003arm
	cl sp2003arm/arm-wince-link.c
	mv arm-wince-link.exe sp2003arm
	rm -f *.obj
	cl vs8ppc2003arm/arm-wince-as.c
	mv arm-wince-as.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-gcc.c
	mv arm-wince-gcc.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-lib.c
	mv arm-wince-lib.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-link.c
	mv arm-wince-link.exe vs8ppc2003arm
	rm -f *.obj


clobber:
	rm -f ppc2003em/*.exe
	rm -f ppc2003em/*.obj
	rm -f ppc2003arm/*.exe
	rm -f ppc2003arm/*.obj
	rm -f sp2003arm/*.exe
	rm -f sp2003arm/*.obj
	rm -f vs8ppc2003arm/*.exe
	rm -f vs8ppc2003arm/*.obj
	rm -f *.obj

=== nsprpub/lib/tests/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#! gmake

MOD_DEPTH	= ../..
topsrcdir	= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir		= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/lib/tests
VPATH		= /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/lib/tests

include $(MOD_DEPTH)/config/autoconf.mk

include $(topsrcdir)/config/config.mk

ifeq ($(OS_ARCH), WINNT)
# DIRS = windows
endif

ifeq ($(OS_TARGET), WIN16)
OS_CFLAGS = $(OS_EXE_CFLAGS)
endif

CSRCS = \
	arena.c \
	string.c \
	base64t.c

ifeq (,$(filter-out WINNT OS2,$(OS_ARCH)))
CSRCS += arena.c
endif

ifeq (,$(filter-out WINNT OS2,$(OS_ARCH)))
PROG_SUFFIX = .exe
else
PROG_SUFFIX =
endif

PROGS = $(addprefix $(OBJDIR)/, $(CSRCS:.c=$(PROG_SUFFIX)))

TARGETS = $(PROGS) $(OBJS)

INCLUDES = -I$(dist_includedir)

# Setting the variables LDOPTS and LIBPR.  We first initialize
# them to the default values, then adjust them for some platforms.
LDOPTS = -L$(dist_libdir)
LIBPR = -lnspr$(MOD_MAJOR_VERSION)
LIBPLC = -lplc$(MOD_MAJOR_VERSION)
LIBPLDS = -lplds$(MOD_MAJOR_VERSION)

ifeq ($(OS_ARCH), WINNT)
ifeq ($(OS_TARGET), WIN16)
  LIBPR = $(dist_libdir)/nspr$(MOD_MAJOR_VERSION).lib
  LIBPLC= $(dist_libdir)/plc$(MOD_MAJOR_VERSION).lib
  LIBPLDS= $(dist_libdir)/plds$(MOD_MAJOR_VERSION).lib
else
  LDOPTS = -NOLOGO -DEBUG -INCREMENTAL:NO
  ifeq ($(OS_TARGET), WIN95)
  LIBPR = $(dist_libdir)/nspr$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  LIBPLC= $(dist_libdir)/plc$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  LIBPLDS= $(dist_libdir)/plds$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  else
  LIBPR = $(dist_libdir)/libnspr$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  LIBPLC= $(dist_libdir)/libplc$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  LIBPLDS= $(dist_libdir)/libplds$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)
  endif
endif
endif

ifeq ($(OS_ARCH),OS2)
  ifeq ($(MOZ_OS2_TOOLS),VACPP)
    LDOPTS = -NOE -DEBUG -nologo -PMTYPE:VIO /S:32768
    LIBPR = $(dist_libdir)/nspr$(MOD_MAJOR_VERSION).lib
    LIBPLC = $(dist_libdir)/plc$(MOD_MAJOR_VERSION).lib
    LIBPLDS= $(dist_libdir)/plds$(MOD_MAJOR_VERSION).$(LIB_SUFFIX)	
  else
    LDOPTS += -Zomf -Zlinker /PM:VIO
  endif
endif

ifneq ($(OS_ARCH), WINNT)
PWD = $(shell pwd)
endif

ifeq ($(OS_ARCH), IRIX)
LDOPTS += -rpath $(PWD)/$(dist_libdir)
endif

ifeq ($(OS_ARCH), Linux)
    ifeq ($(OS_RELEASE), 1.2)
        EXTRA_LIBS = -ldl
    else
        LDOPTS += -Xlinker -rpath $(PWD)/$(dist_libdir)
        ifeq ($(USE_PTHREADS),1)
            EXTRA_LIBS = -lpthread
        endif
    endif
endif

ifeq ($(OS_ARCH), OSF1)
LDOPTS += -rpath $(PWD)/$(dist_libdir) -lpthread
endif

ifeq ($(OS_ARCH), HP-UX)
LDOPTS += -Wl,+s,+b,$(PWD)/$(dist_libdir)
endif

# AIX
ifeq ($(OS_ARCH),AIX)
LDOPTS += -blibpath:$(PWD)/$(dist_libdir):/usr/lib:/lib
LIBPR = -lnspr$(MOD_MAJOR_VERSION)_shr
LIBPLC = -lplc$(MOD_MAJOR_VERSION)_shr
endif

# Solaris
ifeq ($(OS_ARCH), SunOS)
ifneq ($(OS_RELEASE), 4.1.3_U1)
ifdef NS_USE_GCC
LDOPTS += -Xlinker -R -Xlinker $(PWD)/$(dist_libdir)
else
LDOPTS += -R $(PWD)/$(dist_libdir)
endif
endif

# SunOS 5.4 and 5.5 need to link with -lthread or -lpthread,
# even though we already linked with these system libraries
# when we built libnspr.so.
ifeq ($(OS_RELEASE), 5.4)
EXTRA_LIBS = -lthread
endif

ifeq ($(OS_RELEASE), 5.5)
ifdef USE_PTHREADS
EXTRA_LIBS = -lpthread
else
EXTRA_LIBS = -lthread
endif
endif
endif # SunOS

ifeq ($(OS_ARCH), NCR)
# NCR needs to link against -lsocket -lnsl (and -lc, which is linked
# implicitly by $(CC)) again even though we already linked with these
# system libraries when we built libnspr.so.
EXTRA_LIBS = -lsocket -lnsl
# This hardcodes in the executable programs the directory to find
# libnspr.so etc. at program startup.  Equivalent to the -R or -rpath
# option for ld on other platforms.
export LD_RUN_PATH = $(PWD)/$(dist_libdir)
endif

#####################################################
#
# The rules
#
#####################################################

include $(topsrcdir)/config/rules.mk

AIX_PRE_4_2 = 0
ifeq ($(OS_ARCH),AIX)
ifneq ($(OS_RELEASE),4.2)
ifneq ($(USE_PTHREADS), 1)
#AIX_PRE_4_2 = 1
endif
endif
endif

ifeq ($(AIX_PRE_4_2),1)

# AIX releases prior to 4.2 need a special two-step linking hack
# in order to both override the system select() and be able to 
# get at the original system select().
#
# We use a pattern rule in ns/nspr20/config/rules.mk to generate
# the .$(OBJ_SUFFIX) file from the .c source file, then do the
# two-step linking hack below.

$(OBJDIR)/%: $(OBJDIR)/%.$(OBJ_SUFFIX)
	@$(MAKE_OBJDIR)
	rm -f $@ $(AIX_TMP)
	$(CC) $(AIX_LINK_OPTS) -o $(AIX_TMP) $< $(dist_libdir)/libnspr$(MOD_MAJOR_VERSION).a
	$(CC) -o $@ $(AIX_TMP) $(AIX_WRAP)
	rm -f $(AIX_TMP)

else

# All platforms that are not AIX pre-4.2.

$(OBJDIR)/%$(PROG_SUFFIX): $(OBJDIR)/%.$(OBJ_SUFFIX)
	@$(MAKE_OBJDIR)

ifeq ($(OS_ARCH), WINNT)
ifeq ($(OS_TARGET),WIN16)
	echo system windows >w16link
	echo option map >>w16link
	echo option stack=10K >>w16link
	echo option heapsize=32K >>w16link
	echo debug $(DEBUGTYPE) all >>w16link
	echo name $@  >>w16link
	echo file >>w16link
	echo $<  >>w16link
	echo library  >>w16link
	echo $(LIBPR),	     >>w16link
	echo $(LIBPLC),		 >>w16link
	echo winsock.lib     >>w16link
	wlink @w16link.
else
	link $(LDOPTS) $< $(LIBPLC) $(LIBPLDS) $(LIBPR) wsock32.lib -out:$@
endif
else
ifeq ($(OS_ARCH),OS2)
	$(LINK) $(EXEFLAGS) $(LDOPTS) $< $(LIBPLC)  $(LIBPLDS) $(LIBPR) $(OS_LIBS) $(EXTRA_LIBS)
else
	$(CC) $(XCFLAGS) $< $(LDOPTS) $(LIBPLC) $(LIBPLDS) $(LIBPR) $(EXTRA_LIBS) -o $@
endif
endif
endif

export:: $(TARGETS)
clean::
	rm -f $(TARGETS)

=== nsprpub/pkg/linux/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile.in,v 1.2.2.5 2005/09/14 23:02:38 wtchang%redhat.com Exp $"
#

MOD_DEPTH = ../..
topsrcdir   = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/linux
VPATH	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/linux

NAME        = sun-nspr
RELEASE     = 1
TOPDIR      = /usr/src/redhat
VERSION     = `grep PR_VERSION $(dist_includedir)/prinit.h \
                  | sed -e 's/"$$//' -e 's/.*"//' -e 's/ .*//'`

SPECFILE    = $(NAME).spec

include $(MOD_DEPTH)/config/autoconf.mk

# Force i386 for non 64 bit build
ifneq ($(USE_64),1)
	RPMTARGET = "--target=i386"
	RPMLIBDIR = lib
else
	RPMLIBDIR = lib64
endif

publish:
	$(MAKE) clean
	mkdir -p SOURCES SRPMS RPMS BUILD
	(cd $(dist_libdir) && tar cphf - libnspr4.so libplds4.so libplc4.so) \
	| (mkdir -p opt/sun/private/$(RPMLIBDIR) && cd opt/sun/private/$(RPMLIBDIR) && tar xvfBp -)
	(cd $(dist_includedir) && tar cphf - .) \
	| (mkdir -p opt/sun/private/include/nspr && cd opt/sun/private/include/nspr && tar xvfBp -)
	(cd opt/sun/private/include/nspr && \
		rm -rf md private obsolete/pralarm.h obsolete/probslet.h obsolete/prsem.h)
	tar czvf SOURCES/$(NAME)-$(VERSION).tar.gz opt
	echo "%define name $(NAME)" >$(SPECFILE)
	echo "%define version $(VERSION)" >>$(SPECFILE)
	echo "%define release $(RELEASE)" >>$(SPECFILE)
	echo "%define buildroot `pwd`/$(NAME)-root" >>$(SPECFILE)
	echo "%define _topdir `pwd`" >>$(SPECFILE)
	echo "%define _unpackaged_files_terminate_build 0" >>$(SPECFILE)
	cat $(srcdir)/$(NAME).spec >>$(SPECFILE)
	echo "" >>$(SPECFILE)
	echo "%files" >>$(SPECFILE)
	echo "%defattr(-,root,root)" >>$(SPECFILE)
	echo "%dir /opt" >>$(SPECFILE)
	echo "%dir /opt/sun" >>$(SPECFILE)
	echo "%dir /opt/sun/private" >>$(SPECFILE)
	echo "%dir /opt/sun/private/$(RPMLIBDIR)" >>$(SPECFILE)
	find opt \( -name "*.so" \) | sed -e "s-^-/-" >>$(SPECFILE)
	echo "" >>$(SPECFILE)
	echo "%files devel" >>$(SPECFILE)
	echo "%defattr(-,root,root)" >>$(SPECFILE)
	echo "%dir /opt" >>$(SPECFILE)
	echo "%dir /opt/sun" >>$(SPECFILE)
	echo "%dir /opt/sun/private" >>$(SPECFILE)
	echo "%dir /opt/sun/private/include" >>$(SPECFILE)
	echo "%dir /opt/sun/private/include/nspr" >>$(SPECFILE)
	echo "%dir /opt/sun/private/include/nspr/obsolete" >>$(SPECFILE)
	find opt -type f \( -name "*.h" \) \
		| sed -e "s-^-/-" >>$(SPECFILE)
	rpmbuild $(RPMTARGET) -bb $(SPECFILE)

clean:
	rm -rf $(TOPDIR)/BUILD/$(NAME)
	rm -rf SOURCES SRPMS RPMS BUILD
	rm -rf RPMS SRPMS opt
	rm -f $(NAME)-$(VERSION).tar.gz

=== nsprpub/pkg/solaris/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile.in,v 1.1.2.3 2005/03/08 02:17:36 wtchang%redhat.com Exp $"
#

MOD_DEPTH = ../..
topsrcdir   = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris
VPATH	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris

include $(MOD_DEPTH)/config/autoconf.mk

abs_dist_libdir := $(shell (cd $(dist_libdir);pwd))
abs_dist_includedir := $(shell (cd $(dist_includedir);pwd))

%: %.ksh
	$(RM) $@
	cp $< $@
	chmod +x $@

DIRS = \
	SUNWpr \
	SUNWprd

include $(srcdir)/Makefile.com

PROTO = \
	$(ROOT) \
	$(ROOT)/usr/lib/mps \
	$(ROOT)/usr/include/mps

ifeq ($(MACH), sparc)
	PROTO += $(ROOT)/usr/lib/mps/cpu/sparcv8plus
endif

ifeq ($(USE_64), 1)
ifeq ($(MACH), sparc)
# Sparc
	PROTO += $(ROOT)/usr/lib/mps/sparcv9
else
# AMD64
	PROTO += $(ROOT)/usr/lib/mps/amd64
endif
	abs_dist64_libdir = $(abs_dist_libdir)
	abs_dist32_libdir = $(shell echo $(abs_dist_libdir) | sed -e "s|_64_OPT|_OPT|g" -e "s|_64_DBG|_DBG|g")
	abs_dist64_includedir = $(abs_dist_includedir)
	abs_dist32_includedir = $(shell echo $(abs_dist_includedir) | sed -e "s|_64_OPT|_OPT|g" -e "s|_64_DBG|_DBG|g")
else
	abs_dist32_libdir = $(abs_dist_libdir)
	abs_dist64_libdir = $(shell echo $(abs_dist_libdir) | sed -e "s|_OPT|_64_OPT|g" -e "s|_DBG|_64_DBG|g")
	abs_dist32_includedir = $(abs_dist_includedir)
	abs_dist64_includedir = $(shell echo $(abs_dist_includedir) | sed -e "s|_OPT|_64_OPT|g" -e "s|_DBG|_64_DBG|g")
endif

awk_pkginfo: bld_awk_pkginfo
	./bld_awk_pkginfo -m $(MACH) -p "$(PRODUCT_VERSION)" -o $@ -v $(PRODUCT_VERSION)

all:: awk_pkginfo $(PROTO)
publish: awk_pkginfo $(PROTO)
	+$(LOOP_OVER_DIRS)

clean clobber::
	$(RM) awk_pkginfo bld_awk_pkginfo
	$(RM) -r $(ROOT)

$(ROOT):
	mkdir -p $@

$(ROOT)/usr/lib/mps/sparcv9:
	mkdir -p $@
	$(CP) -r $(abs_dist64_libdir)/*.so $@
$(ROOT)/usr/lib/mps/amd64:
	mkdir -p $@
	$(CP) -r $(abs_dist64_libdir)/*.so $@
$(ROOT)/usr/lib/mps:
	mkdir -p $@
	$(CP) -r $(abs_dist32_libdir)/*.so $@
$(ROOT)/usr/lib/mps/cpu/sparcv8plus:
	mkdir -p $@
	$(CP) -r $(abs_dist32_libdir)/cpu/sparcv8plus/*.so $@
$(ROOT)/usr/include/mps:
	mkdir -p $@
	$(CP) -r $(abs_dist32_includedir)/* $@

=== nsprpub/pkg/solaris/SUNWpr/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile.in,v 1.1.2.2 2005/03/08 02:17:45 wtchang%redhat.com Exp $"
#

MOD_DEPTH = ../../..
topsrcdir   = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris/SUNWpr
VPATH	    = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris/SUNWpr

include $(MOD_DEPTH)/config/autoconf.mk

include $(srcdir)/../Makefile.com

DATAFILES += 

all:: $(FILES)
publish:: all pkg

include $(srcdir)/../Makefile.targ

=== nsprpub/pkg/solaris/SUNWprd/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape Portable Runtime (NSPR).
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile.in,v 1.2.2.2 2005/03/08 02:17:45 wtchang%redhat.com Exp $"
#

MOD_DEPTH = ../../..
topsrcdir   = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub
srcdir      = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris/SUNWprd
VPATH       = /home/diegohcg/devel/mozilla-source/osso-browser-mozilla-engine-0.2.2/nsprpub/pkg/solaris/SUNWprd

include $(MOD_DEPTH)/config/autoconf.mk

include $(srcdir)/../Makefile-devl.com

DATAFILES += 

all:: $(FILES)
publish:: all pkg

include $(srcdir)/../Makefile-devl.targ

=== security/nss/pkg/linux/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile,v 1.10.2.1 2005/06/27 18:19:16 christophe.ravel.bugs%sun.com Exp $"
#

CORE_DEPTH = ../../..

NAME        = sun-nss
RELEASE     = 1
VERSION     = `grep NSS_VERSION $(CORE_DEPTH)/../dist/public/nss/nss.h \
		| sed -e 's/"$$//' -e 's/.*"//' -e 's/ .*//'`
PWD         = `pwd`
BUILDROOT   = $(PWD)\/$(NAME)-root

include $(CORE_DEPTH)/coreconf/config.mk

publish:
	$(MAKE) clean
	mkdir -p SOURCES SRPMS RPMS BUILD
	mkdir -p opt/sun/private/lib 
	find $(CORE_DEPTH)/../dist/$(OBJDIR)/lib -type l \
		\( -name "*.so" -o -name "*.chk" \) \
	-exec cp {} opt/sun/private/lib \;
	rm -f opt/sun/private/lib/libnspr4.so \
	   opt/sun/private/lib/libplc4.so \
	   opt/sun/private/lib/libplds4.so \
	   opt/sun/private/lib/libjss*.so
	mkdir -p opt/sun/private/bin
	(cd $(CORE_DEPTH)/../dist/$(OBJDIR)/bin && tar cphf - \
		certutil cmsutil crlutil modutil pk12util signtool \
		signver ssltap addbuiltin ) | (cd opt/sun/private/bin && tar xvfBp -)
	(cd $(CORE_DEPTH)/../dist/public && tar cphf - .) \
		| (mkdir -p opt/sun/private/include && cd opt/sun/private/include && tar xvfBp -)
	rm -rf opt/sun/private/include/seccmd
	rm -rf opt/sun/private/include/dbm

	tar czvf $(NAME)-$(VERSION).tar.gz opt 
	echo "%define _topdir `pwd`" >temp.spec
	sed -e "s/NAME_REPLACE/$(NAME)/" \
		-e "s/VERSION_REPLACE/$(VERSION)/" \
		-e "s/RELEASE_REPLACE/$(RELEASE)/" \
	<$(NAME).spec >>temp.spec
	echo "" >>temp.spec
	echo "%files" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/lib" >>temp.spec
	echo "%dir /opt/sun/private/bin" >>temp.spec
	find opt \( -name "*.so" -o -name "*.chk" -o -type f \
		-perm u=rwx,g=rx,o=rx \) | sed -e "s-^-/-" >>temp.spec
	echo "" >>temp.spec
	echo "%files devel" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/include" >>temp.spec
	echo "%dir /opt/sun/private/include/nss" >>temp.spec
	find opt -type f \( -name "*.h" \) \
		| sed -e "s-^-/-" >>temp.spec
	cp $(NAME)-$(VERSION).tar.gz SOURCES
	rpm -ba temp.spec

clean::
	rm -rf SOURCES SRPMS RPMS BUILD
	rm -rf opt 
	rm -f temp.spec
	rm -f $(NAME)-$(VERSION).tar.gz

include $(CORE_DEPTH)/coreconf/rules.mk

## maemo-browser-mozilla-engine 0.2.5

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.5) unstable; urgency=low

  * Has been updated .pc file 

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Wed, 25 Jan 2006 19:39:09 +0200

maemo-browser-mozilla-engine (0.2.4) unstable; urgency=low

  * Project has been renamed

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Thu, 12 Jan 2006 11:30:46 +0300

osso-browser-mozilla-engine (0.2.3) unstable; urgency=low

  * Initial Release.

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Tue, 22 Nov 2005 23:59:19 +0300

=== debian/control ===
Source: maemo-browser-mozilla-engine
Priority: optional
Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.6.2
Section: libs

Package: maemo-browser-mozilla-engine-dev
Section: libdevel
Architecture: any
Depends: maemo-browser-mozilla-engine (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: maemo-browser-mozilla-engine
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## maemo-browser-mozilla-engine 0.2.5-1

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.5-1) unstable; urgency=low

  * Has been updated .pc file 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Jan 2006 19:39:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: maemo-browser-mozilla-engine
 Priority: optional
-Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev
+Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
+Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.2
 Section: libs

## maemo-browser-mozilla-engine 0.2.6-1

=== debian/changelog ===
maemo-browser-mozilla-engine (0.2.6-1) unstable; urgency=low

  * Has been fixed bug with jumped virtual keyboard
  * Has been added build dependencies from libidl
  * Has been fixed dpatch headers

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 15 Feb 2006 09:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: maemo-browser-mozilla-engine
 Priority: optional
 Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
-Build-Depends: debhelper (>= 4.0.0)
+Build-Depends: debhelper (>= 4.0.0), libidl-dev, libxt-dev
 Standards-Version: 3.6.2
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Oleg Romashin

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

name = mozilla-cvs
ver = 27012005
configopts = 

btree = build-tree
tarballs = tarballs
srcdir = $(name)-$(ver)
builddir = $(btree)/$(srcdir)

# Here can be defined autogen.sh, Ex: PRE_CONF_SCRIPT = ./autogen.sh &&
PRE_CONF_SCRIPT = autoconf &&

DEB_HOST_ARCH          ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

unpack: unpack-stamp
unpack-stamp:
	mkdir -p $(builddir)
	#Unpacking source tree
	tar -zxvf tarballs/$(srcdir).tar.gz -C $(btree) > /dev/null
	touch unpack-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd $(builddir) && $(PRE_CONF_SCRIPT) \
	    ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) $(configopts)
	touch configure-stamp


build: unpack-stamp patch-stamp configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C $(builddir)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp unpack-stamp
	-rm -rf $(btree)
	rm -f debian/shlibs.local
	dh_clean

# dpatch stuff
patch: patch-stamp
patch-stamp:
	dpatch -d $(builddir) -c apply-all -s=$(CURDIR)/debian/patched > $@
#	dpatch call-all -patch >patch-stamp

unpatch:
#	dpatch deapply-all  -s=$(CURDIR)/debian/patched
	rm -rf patch-stamp debian/patched


install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(builddir) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --sourcedir=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
